#!/bin/sh
PATH=/bin:/usr/bin:/sbin:/usr/sbin

BUXTON_DUMP=$1/buxton
SYSTEM_DB=/var/lib/buxton2/system.db*
MEMORY_DB=/run/buxton2/memory.db*
VCONF_VALUE_FILE=vconf_value
BUXTON_LOG_FILES=/run/buxton2/log

mkdir -p $BUXTON_DUMP
cp -f $SYSTEM_DB $BUXTON_DUMP
cp -f $MEMORY_DB $BUXTON_DUMP
cp -aRf $BUXTON_LOG_FILES $BUXTON_DUMP

vconftool dump db >> $BUXTON_DUMP/$VCONF_VALUE_FILE
vconftool dump memory >> $BUXTON_DUMP/$VCONF_VALUE_FILE
